<?php
return [
	'bsVersion' => '4.x',
	
	'rewrite_rules' => [
		'register' => 'user/user/register', 
		'login' => 'user/user/login', 
		'logout' => 'user/user/logout', 
		'account' => 'user/user/account', 
		'profile' => 'user/user/profile', 
		'dashboard' => 'user/user/dashboard', 
		'request-password-reset' => 'user/user/request-password-reset', 
		'change-password' => 'user/user/change-password',
		
		'contact' => 'site/site/contact', 
		'rate-us' => 'site/site/review', 
		
		'blog' => 'cms/blog/index', 
		'news' => 'cms/news/index', 
		'faqs' => 'cms/faq/index', 
		'testimonials' => 'cms/testimonial/index', 
		'our-team' => 'cms/team-member/index', 
		'events' => 'cms/event/index', 
		'album' => 'cms/album/index', 

		'shop' => 'shop/shop/index', 
		'cart' => 'shop/shop/cart', 
		'checkout' => 'shop/shop/checkout', 
		'orders' => 'shop/order/orders', 
		'wishlist' => 'shop/wishlist/index',

		'ccavenue/pay' => 'payment/ccavenue/pay', 

		'my-courses' => 'lms/course/index', 

		'lead-gen' => 'mailer/contact/lead-gen',
		'tpxl/(.*)/(.*)/(.*)/(.*)/(.*)' => 'mailer/campaign/tpxl&campaign=$1&uuid=$2&identifier_name=$3&identifier=$4&timestamp=$5',

		'' => 'site/site/index', 

		'qr/(.*)' => 'site/url/track&uuid=$1',
	], 
];
