<?php

use yii\helpers\Html;

use common\modules\user\models\UserProfile;

extract($data);

$signInLink = Yii::$app->urlManager->createAbsoluteUrl(['user/user/login']);

?>

<div class="login">
	<div>
		<img src="<?= Yii::$app->params['email']['logo'][Yii::$app->params['mode']] ?>" style="width: 250px;">
	</div>

	<br>

    <p>Hello <?= UserProfile::getAttr(['first_name'], ['user_id' => $data['id']]) ?>,</p>

    <h3>Welcome to <?= \Yii::$app->name ?>!</h3>

    <p>Thank you for registering on our website. You can now partake in the various services we have to offer you.</p>

    <p>Sign In: <?= Html::a(Html::encode($signInLink), $signInLink) ?></p>
</div>
