<?php

use yii\bootstrap4\Html;
use yii\bootstrap4\ActiveForm;


/* @var $this yii\web\View */
/* @var $model common\modules\accounting\models\AccountingTax */
/* @var $form yii\bootstrap4\ActiveForm */

$data_tmp = $data;

extract($data_tmp);
?>

<div class="accounting-tax-form">

    <?php $form = ActiveForm::begin(); ?>

    <?= $form->field($model, 'name')->textInput(['maxlength' => true]) ?>

    <?= $this->render('@common/views/_form-country', [
        'model' => $model,
        'form' => $form,
        'attribute' => 'jurisdiction_country',
        'placeholder' => 'Select Country',
        'label' => 'Country',
    ]) ?>

    <?= $form->field($model, 'jurisdiction_state')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'value')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'applicable')->dropDownList([ 'yes' => 'Yes', 'no' => 'No', ], ['prompt' => '']) ?>

    <?= $form->field($model, 'site_id')->dropDownList(\common\modules\core\models\CoreSite::getAll($k = 'id', $v = 'name'), ['prompt' => 'Select Site'])->label('Site') ?>

    <div class="form-group">
        <?= Html::submitButton('Save', ['class' => 'btn btn-success']) ?>
    </div>

    <?php ActiveForm::end(); ?>

</div>