<?php

use yii\bootstrap4\Html;
use yii\bootstrap4\ActiveForm;


/* @var $this yii\web\View */
/* @var $model common\modules\affiliate\models\AffiliateConversion */
/* @var $form yii\bootstrap4\ActiveForm */

$data_tmp = $data;

extract($data_tmp);
?>

<div class="affiliate-conversion-form">

    <?php $form = ActiveForm::begin(); ?>

    <?= $form->field($model, 'affiliate_id')->widget(\kartik\select2\Select2::classname(), [
        'data' => \common\modules\user\models\User::getAll($k = 'id', $v = 'email', false, '', '', ['role_id' => \common\modules\user\models\UserRole::getAttr(['id'], ['name' => 'affiliate'])]),
        'options' => ['placeholder' => 'Select Affiliate'],
        'pluginOptions' => [
            'allowClear' => true
        ],
    ])->label('Affiliate'); ?>

    <?= $form->field($model, 'promotion_id')->widget(\kartik\select2\Select2::classname(), [
        'data' => \common\modules\affiliate\models\AffiliatePromotion::getAll($k = 'id', $v = 'id'),
        'options' => ['placeholder' => 'Select Promotion'],
        'pluginOptions' => [
            'allowClear' => true
        ],
    ])->label('Promotion'); ?>

    <?= $form->field($model, 'order_id')->widget(\kartik\select2\Select2::classname(), [
        'data' => \common\modules\shop\models\ShopOrder::getAll($k = 'id', $v = 'id'),
        'options' => ['placeholder' => 'Select Order'],
        'pluginOptions' => [
            'allowClear' => true
        ],
    ])->label('Order'); ?>

    <?= $form->field($model, 'commission')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'approved')->dropDownList([ 'yes' => 'Yes', 'no' => 'No', ], ['prompt' => '']) ?>

    <?= $form->field($model, 'approved_by')->widget(\kartik\select2\Select2::classname(), [
        'data' => \common\modules\user\models\User::getAll($k = 'id', $v = 'email', false, '', '', [], ['not', ['role_id' => 2]]),
        'options' => ['placeholder' => 'Select User'],
        'pluginOptions' => [
            'allowClear' => true
        ],
    ]); ?>

    <?= $this->render('@common/views/_form-metadata', [
            'model' => $model,
            'metadata' => 'conversion_metadata',
        ]) ?>

    <div class="form-group">
        <?= Html::submitButton('Save', ['class' => 'btn btn-success']) ?>
    </div>

    <?php ActiveForm::end(); ?>

</div>