<?php

use yii\bootstrap4\Html;
use yii\bootstrap4\ActiveForm;


/* @var $this yii\web\View */
/* @var $model common\modules\affiliate\models\AffiliatePromotion */
/* @var $form yii\bootstrap4\ActiveForm */

$data_tmp = $data;

extract($data_tmp);
?>

<div class="affiliate-promotion-form">

    <?php $form = ActiveForm::begin(); ?>

    <?= $form->field($model, 'type')->dropDownList([ 'link' => 'Link', 'text' => 'Text', 'image' => 'Image', 'carousel' => 'Carousel', 'video' => 'Video', ], ['prompt' => '']) ?>

    <?= $form->field($model, 'image')->textInput() ?>

    <?= $form->field($model, 'video')->textarea(['rows' => 6]) ?>

    <?= $form->field($model, 'html_attributes')->textarea(['rows' => 6]) ?>

    <?= $form->field($model, 'url_id')->widget(\kartik\select2\Select2::classname(), [
        'data' => \common\modules\site\models\SiteUrl::getAll($k = 'id', $v = 'name'),
        'options' => ['placeholder' => 'Select Url'],
        'pluginOptions' => [
            'allowClear' => true
        ],
    ])->label('Url'); ?>

    <?= $form->field($model, 'commission')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'available')->dropDownList([ 'yes' => 'Yes', 'no' => 'No', ], ['prompt' => '']) ?>

    <?= $this->render('@common/views/_form-metadata', [
        'model' => $model,
        'metadata' => 'promotion_metadata',
    ]) ?>

    <div class="form-group">
        <?= Html::submitButton('Save', ['class' => 'btn btn-success']) ?>
    </div>

    <?php ActiveForm::end(); ?>

</div>