<?php

use common\modules\user\components\GenesysUser;

return [
	['label' => 'Multimedia', 'header' => true, 'visible' => (
        GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'assetManager/asset')
    )],
    [
        'label' => 'Assets',
        'icon' => 'photo-video',
        'url' => '#',
        'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'assetManager/asset'),
        'items' => [
            ['label' => 'Asset Manager', 'icon' => 'photo-video', 'url' => ['/asset-manager/asset/index'],],
            ['label' => 'Settings', 'icon' => 'cogs', 'url' => ['/asset-manager/default/settings'],],
        ],
    ],
];
