<?php

namespace common\modules\cms;

/**
 * cms module definition class
 */
class Module extends \yii\base\Module
{
    /**
     * @inheritdoc
     */
    public $controllerNamespace = 'common\modules\cms\controllers\frontend';

    /**
     * @var boolean if we use admin module
     */
    public $isBackend;

    /**
     * @inheritdoc
     */
    public function init()
    {
        parent::init();
        
        if ($this->isBackend === true) {
            $this->controllerNamespace = 'common\modules\cms\controllers\backend';
            $this->setViewPath('@common/modules/cms/views/backend');
        } else {
            $this->setViewPath('@common/modules/cms/views/frontend');
        }
    }
}
