<?php

namespace common\modules\core;

/**
 * core module definition class
 */
class Module extends \yii\base\Module
{
    /**
     * @inheritdoc
     */
    public $controllerNamespace = 'common\modules\core\controllers\frontend';

    /**
     * @var boolean if we use admin module
     */
    public $isBackend;    

    /**
     * @inheritdoc
     */
    public function init()
    {
        parent::init();

        if ($this->isBackend === true) {
            $this->controllerNamespace = 'common\modules\core\controllers\backend';
            $this->setViewPath('@common/modules/core/views/backend');
        } else {
            $this->setViewPath('@common/modules/core/views/frontend');
        }
    }
}
