<?php

use yii\bootstrap4\Html;
use yii\bootstrap4\ActiveForm;


/* @var $this yii\web\View */
/* @var $model common\modules\core\models\CoreEntityAttribute */
/* @var $form yii\bootstrap4\ActiveForm */

$data_tmp = $data;

extract($data_tmp);
?>

<div class="core-entity-attribute-form">

    <?php $form = ActiveForm::begin(); ?>

    <?= $form->field($model, 'entity_class_id')->widget(\kartik\select2\Select2::classname(), [
        'data' => \common\modules\core\models\CoreEntityClass::getAll($k = 'id', $v = 'name'),
        'options' => ['placeholder' => 'Select Entity'],
        'pluginOptions' => [
            'allowClear' => true
        ],
    ])->label('Entity'); ?>
    
    <?= $form->field($model, 'attribute_class_id')->widget(\kartik\select2\Select2::classname(), [
        'data' => \common\modules\core\models\CoreAttributeClass::getAll($k = 'id', $v = 'name'),
        'options' => ['placeholder' => 'Select Attribute'],
        'pluginOptions' => [
            'allowClear' => true
        ],
    ])->label('Attribute'); ?>

    <div class="form-group">
        <?= Html::submitButton('Save', ['class' => 'btn btn-success']) ?>
    </div>

    <?php ActiveForm::end(); ?>

</div>
