<?php

use yii\bootstrap4\Html;
use yii\bootstrap4\ActiveForm;


/* @var $this yii\web\View */
/* @var $model common\modules\core\models\CoreSite */
/* @var $form yii\bootstrap4\ActiveForm */

$data_tmp = $data;

extract($data_tmp);
?>

<div class="core-site-form">

    <?php $form = ActiveForm::begin(); ?>

    <?= $form->field($model, 'name')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'code')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'language_id')->textInput() ?>

    <?= $form->field($model, 'title')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'meta_description')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'url')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'mode')->dropDownList([ 'visible' => 'Visible', 'invisible' => 'Invisible', 'maintenance' => 'Maintenance', ], ['prompt' => '']) ?>

    <?= $form->field($model, 'metadata')->textarea(['rows' => 6]) ?>

    <div class="form-group">
        <?= Html::submitButton('Save', ['class' => 'btn btn-success']) ?>
    </div>

    <?php ActiveForm::end(); ?>

</div>