<?php

namespace common\modules\lms\components;

use yii\base\Component;
use yii\base\Event;
use common\modules\lms\models\LmsUserCourse;

class LmsUserCourseEvent extends Event
{
	public $postData;
}

class LmsEvents extends Component
{
    const EVENT_MOD_LMS_CREATE_USER_COURSE = 'eventModLmsCreateUserCourse';

    public function eventModLmsCreateUserCourse($post_data)
    {
    	$modelLmsUserCourse = new LmsUserCourse;
    	$event = new LmsUserCourseEvent;

    	$event->postData = $post_data;

    	$this->on(self::EVENT_MOD_LMS_CREATE_USER_COURSE, [$modelLmsUserCourse, 'saveUserCourse'], $event);
        $this->trigger(self::EVENT_MOD_LMS_CREATE_USER_COURSE);
        $this->off(self::EVENT_MOD_LMS_CREATE_USER_COURSE);
    }
}
