<?php

namespace common\modules\lms\models;

use Yii;
use yii\base\Model;

/**
 * FormCaseStudy is the model behind the assignment form.
 */
class FormCaseStudy extends Model
{
    public $answer;
    public $file;
    public $reCaptcha;

    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            // name, email, subject and body are required
            [['answer'], 'required'],
            [['reCaptcha'], \himiklab\yii2\recaptcha\ReCaptchaValidator::className()],
        ];
    }

    /**
     * @inheritdoc
     */
    public function attributeLabels()
    {
        return [
            'verifyCode' => 'Verification Code',
        ];
    }
}
