<?php

use yii\bootstrap4\Html;
use yii\grid\GridView;
use yii\widgets\Pjax;
use common\modules\core\models\CoreValue;
use common\modules\lms\models\LmsCourse;
use common\modules\lms\models\LmsCourseActivity;
use kartik\export\ExportMenu;
use Yadakhov\Json;

$this->title = 'Quiz Completion Report';
$this->params['breadcrumbs'][] = $this->title;
?>

<div class="quiz-report-index">
    <h3 class="text-center"><?= CoreValue::getEntityValue('course_activity', 'name', $modelLmsCourseActivity['id']) ?></h3>

	<div class="row">
        <div class="col-sm-12">
            <div id="result-wrapper" class="pulse animated">
                	<?php foreach($quiz as $key => $value) { ?>
                		<p>
                    		<span><?= $value['sno'] ?>. </span>
                    		<span><?= $value['question'] ?></span>
                    	</p>
                		
                		<p>
                			<?php foreach ($value['option'] as $k => $v) { ?>
                				(<?= intval($k + 1) ?>) <?= $v ?><br>
                			<?php } ?>
                		</p>
                	<?php } ?>
                </table>
            </div>
        </div>
    </div>
</div>