<?php

use common\modules\user\components\GenesysUser;

return [
	['label' => 'Logs', 'header' => true, 'visible' => (
		GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'logs/cart') || 
        GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'logs/logs-login') || 
        GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'logs/logs-visitor') || 
        GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'logs/log')
    )],
    ['label' => 'Cart Logs', 'icon' => 'shopping-cart', 'url' => ['/shop/cart/index'], 'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'logs/cart')],
    ['label' => 'Login Logs', 'icon' => 'sign-in-alt', 'url' => ['/user/logs-login/index'], 'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'logs/logs-login')],
    ['label' => 'Visitor Logs', 'icon' => 'street-view', 'url' => ['/logs/logs-visitor/index'], 'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'logs/logs-visitor')],
    ['label' => 'Application Logs', 'icon' => 'laptop', 'url' => ['/core/log/index'], 'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'logs/log')],
];
