<?php

use yii\bootstrap4\Html;
use yii\bootstrap4\ActiveForm;

/* @var $this yii\web\View */
/* @var $model common\modules\qms\models\QmsComplianceObligationSearch */
/* @var $form yii\bootstrap4\ActiveForm */
?>

<div class="row mt-2">
    <div class="col-md-12">

    <?php $form = ActiveForm::begin([
        'action' => ['index'],
        'method' => 'get',
        'options' => [
            'data-pjax' => 1
        ],
    ]); ?>

    <?= $form->field($model, 'id') ?>

    <?= $form->field($model, 'compliance_obligation_type_id') ?>

    <?= $form->field($model, 'compliance_obligation_source_type') ?>

    <?= $form->field($model, 'compliance_obligation') ?>

    <?= $form->field($model, 'applicable_section_rule') ?>

    <?php // echo $form->field($model, 'consequences_of_non_compliance') ?>

    <?php // echo $form->field($model, 'frequency') ?>

    <?php // echo $form->field($model, 'current_status') ?>

    <?php // echo $form->field($model, 'responsibility_id') ?>

    <?php // echo $form->field($model, 'compliance_obligation_proof') ?>

    <?php // echo $form->field($model, 'compliance_obligation_document_name') ?>

    <?php // echo $form->field($model, 'compliance_obligation_document_number') ?>

    <?php // echo $form->field($model, 'evaluation_of_compliance_obligation') ?>

    <?php // echo $form->field($model, 'summary') ?>

    <?php // echo $form->field($model, 'approval_status') ?>

    <?php // echo $form->field($model, 'approving_authority_id') ?>

    <?php // echo $form->field($model, 'created_by') ?>

    <?php // echo $form->field($model, 'updated_by') ?>

    <?php // echo $form->field($model, 'created_at') ?>

    <?php // echo $form->field($model, 'updated_at') ?>

    <?php // echo $form->field($model, 'status') ?>

    <div class="form-group">
        <?= Html::submitButton('Search', ['class' => 'btn btn-primary']) ?>
        <?= Html::resetButton('Reset', ['class' => 'btn btn-outline-secondary']) ?>
    </div>

    <?php ActiveForm::end(); ?>

    </div>
    <!--.col-md-12-->
</div>
