<?php

use yii\helpers\Html;
use yii\bootstrap4\ActiveForm;
// use yii\jui\JuiAsset;
//use common\modules\assetManager\widgets\FileInput;
use kartik\widgets\FileInput;
use common\modules\user\models\User;
use common\modules\assetManager\models\AssetManager;
// use wbraganca\dynamicform\DynamicFormWidget;
use kartik\select2\Select2;
// echo "<pre>"; print_r($modelsAssetManager[0]); die();
/* @var $this yii\web\View */
/* @var $model common\modules\qms\models\QmsDepartment */
/* @var $form yii\bootstrap4\ActiveForm */
?>

<div class="qms-department-form">

    <?php $form = ActiveForm::begin(['id' => 'dynamic-form',
                                    'options' => ['enctype' => 'multipart/form-data']]); 
    ?>

    <?= $form->field($model, 'name')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'profile')->textarea(['rows' => 6]) ?>

    <?= $form->field($model, 'department_hod')->widget(Select2::classname(), [
        'data' => User::getAll($k = 'id', $v = 'email'),
        'options' => ['placeholder' => 'Select'],
        'pluginOptions' => [
            'allowClear' => true
        ],
    ])->label('Department HOD'); ?>

    <div class="col-xs-12">
            <?= $form->field($modelFormFileUpload, 'file')->widget(FileInput::classname(), [
                'bsColCssPrefixes' => 'col-xs-12',
                'options' => ['multiple' => true,'accept' => 'image/*'], 
                'pluginOptions' => [
                    'showUpload' => true,
                    'overwriteInitial' => false,
                    'maxFileSize' => 2048,
                ]
            ])->label('File'); ?>
        
    </div>
    <div class="form-group">
        <?= Html::submitButton($model->isNewRecord ? 'Create' : 'Update', ['class' => $model->isNewRecord ? 'btn btn-success' : 'btn btn-primary']) ?>
    </div>

    <?php ActiveForm::end(); ?>

</div>

