<?php

use yii\bootstrap4\Html;
use yii\bootstrap4\ActiveForm;
use kartik\select2\Select2;

use common\modules\qms\models\QmsDesignation;
/* @var $this yii\web\View */
/* @var $model common\modules\qms\models\QmsIdealCompetence */
/* @var $form yii\bootstrap4\ActiveForm */
?>

<div class="qms-ideal-competence-form">

    <?php $form = ActiveForm::begin(); ?>

    <?= $form->field($model, 'designation_id')->widget(Select2::classname(), [
        'data' => QmsDesignation::getAll($k = 'id', $v = 'name'),
        'options' => ['placeholder' => 'Select Designation'],
        'pluginOptions' => [
            'allowClear' => true
        ],
    ])->label('Designation'); ?>

    <div class="form-group">
        <?= Html::submitButton($model->isNewRecord ? 'Create' : 'Update', ['class' => $model->isNewRecord ? 'btn btn-success' : 'btn btn-primary']) ?>
    </div>

    <?php ActiveForm::end(); ?>

</div>
