<?php

use yii\helpers\Html;
use yii\bootstrap4\ActiveForm;

/* @var $this yii\web\View */
/* @var $model common\modules\qms\models\QmsMasterComplianceObligationType */
/* @var $form yii\bootstrap4\ActiveForm */
?>

<div class="qms-master-compliance-obligation-type-form">

    <?php $form = ActiveForm::begin(); ?>

    <?= $form->field($model, 's_no')->textInput() ?>

    <?= $form->field($model, 'name')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'evaluation')->textarea(['rows' => 6]) ?>

    <div class="form-group">
        <?= Html::submitButton($model->isNewRecord ? 'Create' : 'Update', ['class' => $model->isNewRecord ? 'btn btn-success' : 'btn btn-primary']) ?>
    </div>

    <?php ActiveForm::end(); ?>

</div>
