<?php

use yii\bootstrap4\Html;
use yii\bootstrap4\ActiveForm;

/* @var $this yii\web\View */
/* @var $model common\modules\qms\models\QmsProcessIdentificationSearch */
/* @var $form yii\bootstrap4\ActiveForm */
?>

<div class="row mt-2">
    <div class="col-md-12">

    <?php $form = ActiveForm::begin([
        'action' => ['index'],
        'method' => 'get',
        'options' => [
            'data-pjax' => 1
        ],
    ]); ?>

    <?= $form->field($model, 'id') ?>

    <?= $form->field($model, 'management_system_type_id') ?>

    <?= $form->field($model, 'department_id') ?>

    <?= $form->field($model, 'process_name') ?>

    <?= $form->field($model, 'purpose') ?>

    <?php // echo $form->field($model, 'scope') ?>

    <?php // echo $form->field($model, 'definition') ?>

    <?php // echo $form->field($model, 'revision_number') ?>

    <?php // echo $form->field($model, 'revision_date') ?>

    <?php // echo $form->field($model, 'outsourced') ?>

    <?php // echo $form->field($model, 'accountable_person_id') ?>

    <?php // echo $form->field($model, 'what_knowledge_is_required') ?>

    <?php // echo $form->field($model, 'how_the_knowledge_would_be_made_available') ?>

    <?php // echo $form->field($model, 'approval_status') ?>

    <?php // echo $form->field($model, 'approving_authority_id') ?>

    <?php // echo $form->field($model, 'created_by') ?>

    <?php // echo $form->field($model, 'updated_by') ?>

    <?php // echo $form->field($model, 'created_at') ?>

    <?php // echo $form->field($model, 'updated_at') ?>

    <?php // echo $form->field($model, 'status') ?>

    <div class="form-group">
        <?= Html::submitButton('Search', ['class' => 'btn btn-primary']) ?>
        <?= Html::resetButton('Reset', ['class' => 'btn btn-outline-secondary']) ?>
    </div>

    <?php ActiveForm::end(); ?>

    </div>
    <!--.col-md-12-->
</div>
