<?php

use yii\bootstrap4\Html;
use yii\bootstrap4\ActiveForm;

/* @var $this yii\web\View */
/* @var $model common\modules\qms\models\QmsProcessValidationSearch */
/* @var $form yii\bootstrap4\ActiveForm */
?>

<div class="row mt-2">
    <div class="col-md-12">

    <?php $form = ActiveForm::begin([
        'action' => ['index'],
        'method' => 'get',
        'options' => [
            'data-pjax' => 1
        ],
    ]); ?>

    <?= $form->field($model, 'id') ?>

    <?= $form->field($model, 'department_id') ?>

    <?= $form->field($model, 'department_process_id') ?>

    <?= $form->field($model, 'validation_date') ?>

    <?= $form->field($model, 're_validation_date') ?>

    <?php // echo $form->field($model, 'brief_process_description') ?>

    <?php // echo $form->field($model, 'name_of_the_machine_equipment_to_be_used') ?>

    <?php // echo $form->field($model, 'name_of_the_qualified_person') ?>

    <?php // echo $form->field($model, 'description_of_process_steps') ?>

    <?php // echo $form->field($model, 'operator_qualification_competence') ?>

    <?php // echo $form->field($model, 'validation_result') ?>

    <?php // echo $form->field($model, 're_validation_due_date') ?>

    <?php // echo $form->field($model, 'created_by') ?>

    <?php // echo $form->field($model, 'updated_by') ?>

    <?php // echo $form->field($model, 'created_at') ?>

    <?php // echo $form->field($model, 'updated_at') ?>

    <?php // echo $form->field($model, 'status') ?>

    <div class="form-group">
        <?= Html::submitButton('Search', ['class' => 'btn btn-primary']) ?>
        <?= Html::resetButton('Reset', ['class' => 'btn btn-outline-secondary']) ?>
    </div>

    <?php ActiveForm::end(); ?>

    </div>
    <!--.col-md-12-->
</div>
