<?php

use yii\bootstrap4\Html;
use yii\bootstrap4\ActiveForm;

/* @var $this yii\web\View */
/* @var $model common\modules\qms\models\QmsRiskOpportunitySearch */
/* @var $form yii\bootstrap4\ActiveForm */
?>

<div class="row mt-2">
    <div class="col-md-12">

    <?php $form = ActiveForm::begin([
        'action' => ['index'],
        'method' => 'get',
        'options' => [
            'data-pjax' => 1
        ],
    ]); ?>

    <?= $form->field($model, 'id') ?>

    <?= $form->field($model, 'risk_and_opportunity_type_id') ?>

    <?= $form->field($model, 'management_system_type_id') ?>

    <?= $form->field($model, 'risk_opportunity_source_or_activity') ?>

    <?= $form->field($model, 'risk_category_id') ?>

    <?php // echo $form->field($model, 'risk_description') ?>

    <?php // echo $form->field($model, 'risk_impact') ?>

    <?php // echo $form->field($model, 'risk_rating') ?>

    <?php // echo $form->field($model, 'risk_probability') ?>

    <?php // echo $form->field($model, 'assigned_to_id') ?>

    <?php // echo $form->field($model, 'department_id') ?>

    <?php // echo $form->field($model, 'actions_proposed') ?>

    <?php // echo $form->field($model, 'treatment_type') ?>

    <?php // echo $form->field($model, 'proposed_review_date') ?>

    <?php // echo $form->field($model, 'proposed_completion_date') ?>

    <?php // echo $form->field($model, 'is_it_an_opportunity') ?>

    <?php // echo $form->field($model, 'approval_status') ?>

    <?php // echo $form->field($model, 'approving_authority_id') ?>

    <?php // echo $form->field($model, 'created_by') ?>

    <?php // echo $form->field($model, 'updated_by') ?>

    <?php // echo $form->field($model, 'created_at') ?>

    <?php // echo $form->field($model, 'updated_at') ?>

    <?php // echo $form->field($model, 'status') ?>

    <div class="form-group">
        <?= Html::submitButton('Search', ['class' => 'btn btn-primary']) ?>
        <?= Html::resetButton('Reset', ['class' => 'btn btn-outline-secondary']) ?>
    </div>

    <?php ActiveForm::end(); ?>

    </div>
    <!--.col-md-12-->
</div>
