<?php

use yii\bootstrap4\Html;
use yii\bootstrap4\ActiveForm;

/* @var $this yii\web\View */
/* @var $model common\modules\qms\models\QmsSupplierReevaluationSearch */
/* @var $form yii\bootstrap4\ActiveForm */
?>

<div class="row mt-2">
    <div class="col-md-12">

    <?php $form = ActiveForm::begin([
        'action' => ['index'],
        'method' => 'get',
        'options' => [
            'data-pjax' => 1
        ],
    ]); ?>

    <?= $form->field($model, 'id') ?>

    <?= $form->field($model, 'supplier_id') ?>

    <?= $form->field($model, 'supplier_address') ?>

    <?= $form->field($model, 'suplier_rating') ?>

    <?= $form->field($model, 'suplier_contact') ?>

    <?php // echo $form->field($model, 'evaluation_analysis') ?>

    <?php // echo $form->field($model, 'evaluation_date') ?>

    <?php // echo $form->field($model, 'next_evaluation_date') ?>

    <?php // echo $form->field($model, 'supplier_score') ?>

    <?php // echo $form->field($model, 'remarks') ?>

    <?php // echo $form->field($model, 'parameter_name_consistency_in_product_service_quality') ?>

    <?php // echo $form->field($model, 'parameter_name_quality_of_product_service') ?>

    <?php // echo $form->field($model, 'parameter_name_market_credibility') ?>

    <?php // echo $form->field($model, 'paramter_name_terms_and_condition_competitiveness') ?>

    <?php // echo $form->field($model, 'parameter_name_adherence_to_delivery_schedule') ?>

    <?php // echo $form->field($model, 'parameter_name_pricing_competitiveness') ?>

    <?php // echo $form->field($model, 'parameter_name_quality_of_support_services') ?>

    <?php // echo $form->field($model, 'approval_status') ?>

    <?php // echo $form->field($model, 'approving_authority_id') ?>

    <?php // echo $form->field($model, 'created_by') ?>

    <?php // echo $form->field($model, 'updated_by') ?>

    <?php // echo $form->field($model, 'created_at') ?>

    <?php // echo $form->field($model, 'updated_at') ?>

    <?php // echo $form->field($model, 'status') ?>

    <div class="form-group">
        <?= Html::submitButton('Search', ['class' => 'btn btn-primary']) ?>
        <?= Html::resetButton('Reset', ['class' => 'btn btn-outline-secondary']) ?>
    </div>

    <?php ActiveForm::end(); ?>

    </div>
    <!--.col-md-12-->
</div>
