<?php

namespace common\modules\shop\models;

use Yii;
use yii\base\Model;

/**
 * FormRefund2 is the model behind the cancellation form.
 */
class FormRefund2 extends Model
{
    public $email;
    public $phone;
    public $card_last_digits;
    public $domain;
    public $transaction_id;
    public $reason;
    public $reCaptcha;

    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            // order_id and reason are required
            [['email', 'card_last_digits', 'domain', 'transaction_id'], 'required'],
            [['reCaptcha'], \himiklab\yii2\recaptcha\ReCaptchaValidator::className()],
        ];
    }

    /**
     * @inheritdoc
     */
    public function attributeLabels()
    {
        return [];
    }
}
