<?php

use yii\bootstrap4\Html;
use yii\bootstrap4\ActiveForm;


/* @var $this yii\web\View */
/* @var $model common\modules\shop\models\ShopTraitValue */
/* @var $form yii\bootstrap4\ActiveForm */

$data_tmp = $data;

extract($data_tmp);
?>

<div class="shop-trait-value-form">

    <?php $form = ActiveForm::begin(); ?>

    <?= $this->render('@common/views/_form-eav', [
        'data' => $data,
        'entity_name' => 'trait_value',
        'modelCoreLanguage' => $modelCoreLanguage,
    ]) ?>

    <?= $form->field($model, 'trait_id')->dropDownList(\common\modules\shop\models\ShopTrait::getAll($k = 'id', $v = 'name', $eav = true, $entity_class = 'trait', $attribute_class = 'name'), ['prompt' => 'Select Trait'])->label('Trait') ?>

    <div class="form-group">
        <?= Html::submitButton('Save', ['class' => 'btn btn-success']) ?>
    </div>

    <?php ActiveForm::end(); ?>

</div>
