<?php

use common\modules\user\components\GenesysUser;

return [
	['label' => 'Dashboard', 'icon' => 'tachometer-alt', 'url' => ['/']],
    
	['label' => 'Site', 'header' => true, 'visible' => (
        GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'site/mail') || 
        GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'site/contact') || 
        GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'site/translation') || 
        GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'site/url') || 
        GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'site/review')
    )],
    ['label' => 'Contact Requests', 'icon' => 'phone-square', 'url' => ['/site/contact/index'], 'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'site/contact')],
	[
	    'label' => 'URLs',
	    'icon' => 'link',
	    'url' => '#',
	    'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'site/url'),
	    'items' => [
	        ['label' => 'View URLs', 'icon' => 'link', 'url' => ['/site/url/index'],],
	        ['label' => 'Create URL', 'icon' => 'link', 'url' => ['/site/url/create'],],
	    ],
	],
	[
	    'label' => 'Reviews',
	    'icon' => 'star',
	    'url' => '#',
	    'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'site/review'),
	    'items' => [
	        ['label' => 'View Reviews', 'icon' => 'star', 'url' => ['/site/review/index'],],
	        ['label' => 'Create Review', 'icon' => 'star', 'url' => ['/site/review/create'],],
	    ],
	],
];
