<?php

use common\modules\user\components\GenesysUser;
use common\modules\user\models\UserProfile;

?>

<aside class="main-sidebar sidebar-dark-primary elevation-4">
    <!-- Brand Logo -->
    <a href="index3.html" class="brand-link">
        <img src="<?= $assetDir ?>/img/AdminLTELogo.png" alt="OpEx MS Logo" class="brand-image img-circle elevation-3" style="opacity: .8">
        <span class="brand-text font-weight-light"><?= Yii::$app->name ?></span>
    </a>

    <!-- Sidebar -->
    <div class="sidebar">
        <!-- Sidebar user panel (optional) -->
        <div class="user-panel mt-3 pb-3 mb-3 d-flex">
            <div class="image">
                <img src="<?= $assetDir ?>/img/user2-160x160.jpg" class="img-circle elevation-2" alt="User Image">
            </div>
            <div class="info">
                <a href="#" class="d-block"><?= (!Yii::$app->user->isGuest ? ucfirst(UserProfile::getAttr(['first_name'], ['user_id' => Yii::$app->user->identity->id]) . ' ' . UserProfile::getAttr(['last_name'], ['user_id' => Yii::$app->user->identity->id])) : '') ?></a>
            </div>
        </div>

        <!-- SidebarSearch Form -->
        <!-- href be escaped -->
        <!-- <div class="form-inline">
            <div class="input-group" data-widget="sidebar-search">
                <input class="form-control form-control-sidebar" type="search" placeholder="Search" aria-label="Search">
                <div class="input-group-append">
                    <button class="btn btn-sidebar">
                        <i class="fas fa-search fa-fw"></i>
                    </button>
                </div>
            </div>
        </div> -->

        <!-- Sidebar Menu -->
        <?php 
        $items = yii\helpers\ArrayHelper::merge(
            require Yii::getAlias('@common') . '/modules/site/views/backend/layouts/_menu.php', 
            require Yii::getAlias('@common') . '/modules/user/views/backend/layouts/_menu.php', 
            require Yii::getAlias('@common') . '/modules/assetManager/views/backend/layouts/_menu.php', 
            require Yii::getAlias('@common') . '/modules/cms/views/backend/layouts/_menu.php', 
            require Yii::getAlias('@common') . '/modules/shop/views/backend/layouts/_menu.php', 
            require Yii::getAlias('@common') . '/modules/mailer/views/backend/layouts/_menu.php', 
            require Yii::getAlias('@common') . '/modules/lms/views/backend/layouts/_menu.php',
            require Yii::getAlias('@common') . '/modules/inventory/views/backend/layouts/_menu.php',
            require Yii::getAlias('@common') . '/modules/accounting/views/backend/layouts/_menu.php',
            require Yii::getAlias('@common') . '/modules/affiliate/views/backend/layouts/_menu.php',
            require Yii::getAlias('@common') . '/modules/qms/views/backend/layouts/_menu.php'
        );
        ?>
        
        <nav class="mt-2">
            <?= \hail812\adminlte\widgets\Menu::widget(['items' => $items]) ?>
        </nav>
        <!-- /.sidebar-menu -->
    </div>
    <!-- /.sidebar -->
</aside>
