<?php

use yii\bootstrap4\Html;
use yii\bootstrap4\ActiveForm;


/* @var $this yii\web\View */
/* @var $model common\modules\site\models\SiteUrl */
/* @var $form yii\bootstrap4\ActiveForm */

$data_tmp = $data;

extract($data_tmp);
?>

<div class="site-url-form">

    <?php $form = ActiveForm::begin(); ?>

    <?= $form->field($model, 'name')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'uuid')->hiddenInput(['value' => (isset($model->uuid) && !empty($model->uuid)) ? $model->uuid : \Yii::$app->security->generateRandomString()])->label(false) ?>

    <?= $form->field($model, 'entity_class_id')->dropDownList(\common\modules\core\models\CoreEntityClass::getAll($k = 'id', $v = 'name'), ['prompt' => 'Select Entity Class'])->label('Entity Class') ?>

    <?= $form->field($model, 'entity_id')->textInput() ?>

    <?= $form->field($model, 'affiliate_id')->textInput() ?>

    <?= $form->field($model, 'site_id')->dropDownList(\common\modules\core\models\CoreSite::getAll($k = 'id', $v = 'name'), ['prompt' => 'Select Site'])->label('Site') ?>

    <?= $form->field($model, 'redirect_type')->dropDownList([ 301 => '301', 302 => '302', ], ['prompt' => '']) ?>

    <?= $form->field($model, 'redirect_url')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'relative_url')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'absolute_url')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'params')->textInput(['maxlength' => true]) ?>

    <?= $this->render('@common/views/_form-metadata', [
        'model' => $model,
        'metadata' => 'url_metadata',
    ]) ?>

    <div class="form-group">
        <?= Html::submitButton('Save', ['class' => 'btn btn-success']) ?>
    </div>

    <?php ActiveForm::end(); ?>

</div>