<?php

use common\modules\user\components\GenesysUser;

return [
	['label' => 'User', 'header' => true, 'visible' => (
        GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'user/user')
    )],
    [
        'label' => 'Users',
        'icon' => 'users',
        'url' => '#',
        'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'user/user'),
        'items' => [
            ['label' => 'View Users', 'icon' => 'users', 'url' => ['/user/user/index'],],
            ['label' => 'Create User', 'icon' => 'user-plus', 'url' => ['/user/user/create'],],
            ['label' => 'Charts', 'icon' => 'chart-bar', 'url' => ['/user/user/chart'],],
        ],
    ],
];
