<?php

use yii\helpers\Html;
use yii\bootstrap\ActiveForm;

?>

<?php $form = ActiveForm::begin() ?>
    <?php if (isset($_GET['email'])) { ?>
        <?= $form->field($modelFormLead, 'email')->hiddenInput(['value' => $_GET['email']])->label(false) ?>
    <?php } ?>
    
    <?php if (isset($_GET['lead_type']) && array_key_exists($_GET['lead_type'], Yii::$app->params['contact_metadata']['lead_type']['data'])) { ?>
        <?= $form->field($modelFormLead, 'lead_type')->hiddenInput(['value' => $_GET['lead_type']])->label(false) ?>
    <?php } ?>

    <?php if (isset($_GET['product']) && array_key_exists($_GET['product'], Yii::$app->params['contact_metadata']['product']['data'])) { ?>
        <?= $form->field($modelFormLead, 'product')->hiddenInput(['value' => $_GET['product']])->label(false) ?>
    <?php } ?>

    <?php if (isset($_GET['source']) && array_key_exists($_GET['source'], Yii::$app->params['contact_metadata']['source']['data'])) { ?>
        <?= $form->field($modelFormLead, 'source')->hiddenInput(['value' => $_GET['source']])->label(false) ?>
    <?php } ?>

    <?php if (isset($_GET['mailer_campaign'])) { ?>
        <?= $form->field($modelFormLead, 'mailer_campaign')->hiddenInput(['value' => $_GET['mailer_campaign']])->label(false) ?>
    <?php } ?>

    <div class="form-group">
        <div class="input-field col-md-6 col-xs-12">
            <?= Html::submitButton('Yes', ['class' => 'btn btn-success btn-lg col-xs-12', 'name' => 'FormLead[lead_status]', 'value' => 'hot']) ?>
        </div>

        <div class="input-field col-md-6 col-xs-12">
            <?= Html::submitButton('No', ['class' => 'btn btn-danger btn-lg col-xs-12', 'name' => 'FormLead[lead_status]', 'value' => 'not_interested']) ?>
        </div>
    </div>
<?php ActiveForm::end(); ?>