<?php

namespace frontend\assets;

use yii\web\AssetBundle;

/**
 * Main common application asset bundle.
 */
class MaintenanceAsset extends AssetBundle
{
    public $basePath = '@webroot';
    public $baseUrl = '@web';
    public $css = [
        'css/maintenance.css',
        'css/custom-styles.css',
    ];
    public $js = [
    ];
    public $depends = [
        'yii\web\YiiAsset',
        'yii\bootstrap\BootstrapAsset',
    ];
    public $publishOptions = [
        'except' => [
            'uploads/*',
        ],
        // 'forceCopy' => true,
    ];
}
