<?php

namespace api\modules\v1;

use Yii;
use yii\web\Response;

/**
 * v1 module definition class
 */
class Module extends \yii\base\Module
{
    /**
     * @inheritdoc
     */
    public $controllerNamespace = 'api\modules\v1\controllers';

    /**
     * @inheritdoc
     */
    public function init()
    {
        parent::init();

        // custom initialization code goes here
    }

    public function restResponse($name = null, $message = null, $code = null, $status = null, $data = array()) 
    {
        $response = array(
            'name' => $name, 
            'message' => $message, 
            'code' => $code, 
            'status' => $status, 
            'data' => $data, 
        );

        Yii::$app->response->format = Response::FORMAT_JSON;

        return $response;
    }
}
