<?php
Yii::setAlias('@common', dirname(__DIR__));
Yii::setAlias('@frontend', dirname(dirname(__DIR__)) . '/frontend');
Yii::setAlias('@backend', dirname(dirname(__DIR__)) . '/backend');
Yii::setAlias('@console', dirname(dirname(__DIR__)) . '/console');
Yii::setAlias('@assets', dirname(dirname(__DIR__)) . '/assets');
Yii::setAlias('@api', dirname(dirname(__DIR__)) . '/api');
Yii::setAlias('@opexms_com', dirname(dirname(__DIR__)) . '/frontend');

Yii::setAlias('@baseurl', '');
Yii::setAlias('@backendurl', '');
Yii::setAlias('@assetsurl', '');
Yii::setAlias('@themeurl', '');
Yii::setAlias('@apiurl', '');

if (isset($_SERVER['SERVER_NAME'], $_SERVER['PHP_SELF'])) {
	Yii::setAlias('@baseurl', 'http' . (!empty($_SERVER['HTTPS']) ? 's' : '') . '://' . $_SERVER['SERVER_NAME'] . dirname(dirname(dirname(str_replace('/web', '', $_SERVER['PHP_SELF'])))) . '/');
	Yii::setAlias('@backendurl', 'http' . (!empty($_SERVER['HTTPS']) ? 's' : '') . '://' . $_SERVER['SERVER_NAME'] . '/admin/' . dirname(dirname(dirname(str_replace('/web', '', $_SERVER['PHP_SELF'])))) . '/');
	Yii::setAlias('@assetsurl', 'http' . (!empty($_SERVER['HTTPS']) ? 's' : '') . '://' . 'assets.opexms.com' . dirname(dirname(dirname(str_replace('/web', '', $_SERVER['PHP_SELF'])))) . '/');
	Yii::setAlias('@themeurl', 'http' . (!empty($_SERVER['HTTPS']) ? 's' : '') . '://' . 'assets.opexms.com/web/themes/genesys' . dirname(dirname(dirname(str_replace('/web', '', $_SERVER['PHP_SELF'])))) . '/');
	Yii::setAlias('@apiurl', 'http' . (!empty($_SERVER['HTTPS']) ? 's' : '') . '://' . 'api.opexms.com' . dirname(dirname(dirname(str_replace('/web', '', $_SERVER['PHP_SELF'])))) . '/');
}
