<?php

$params = [
    'mode' => 'live', 

    'user.passwordResetTokenExpire' => 3600,

    'site_code' => 'opexms_com', 
    'language_code' => 'en', 
    'currency_code' => 'usd', 

    'header_scripts' => [
        'global_site_tag' => "", 
        'facebook_pixel' => "", 
    ], 

    'footer_scripts' => [

    ], 

    'database' => [
        'mysql' => [
        ],
    ],

    'bsVersion' => '5.x',

    'email' => [
        'to' => [
            'sandbox' => 'pranetapranshu@gmail.com',
            'live' => 'info@opexms.com',
        ],
        'from' => [
            'sandbox' => 'pranetapranshu@gmail.com',
            'live' => 'info@opexms.com',
        ],
        'contact' => [
            'sandbox' => 'pranetapranshu@gmail.com',
            'live' => 'info@opexms.com',
        ],
        'logo' => [
            'sandbox' => 'http://assets.opexms.loc/web/themes/genesys/assets/img/opexms-logo.png',
            'live' => 'https://assets.opexms.com/web/themes/genesys/assets/img/opexms-logo.png',
        ],
        'type' => [
            'generic',
            'contact',
            'password-reset-customer',
            'registration-user',
            'registration-admin',
        ],
        'subject' => [
            'generic' => 'OpexMS',
            'contact' => 'New Query on OpexMS',
            'password-reset-customer' => 'Password Reset - OpexMS',
            'registration-user' => 'New Registration - OpexMS',
            'registration-admin' => 'New Registration - OpexMS',
        ],
        'developer' => 'pranetapranshu@gmail.com',
        'tester' => '',

        'sendgrid' => [
            'sender_id' => 5155932,
            'api_key' => [
                'com_gazellesmc_mktg' => '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',
            ],
        ],
    ],
	
    'rating_scale' => 5,

    'payment_gateway' => 'paypal', 

    'payment_gateways' => [
        'paypal' => [
            'sandbox' => [
                'hosted_button_id' => '',
            ],
            'live' => [
                'hosted_button_id' => '',
            ],
        ], 
        'stripe' => [
            'sandbox' => [
                'publicKey' => "", 
                'privateKey' => "", 
                'proxy' => [
                    'enabled' => false, 
                    'url' => '', 
                    'auth_key' => '', 
                ], 
                'merchant_descriptor' => '', 
                'limit' => '0', 
            ], 
            'live' => [
                'publicKey' => "", 
                'privateKey' => "", 
                'proxy' => [
                    'enabled' => false, 
                    'url' => '', 
                    'auth_key' => '', 
                ], 
                'merchant_descriptor' => '', 
                'limit' => '0', 
            ], 
        ], 
    ],

    'invoice_prefix' => 'GENESYS', 

    'mod_payment' => [
        'save_order' => true,
    ],

    'modules' => [
        'mailer' => [
            'contact' => [
                'lead-gen' => [
                    'message' => [
                        [
                            'success' => 'Thank you for your interest. One of our counsellors will get in touch with you soon.',
                            'error' => 'Unable to book your free consultation.',
                        ],
                    ],
                ],
            ],
        ],
    ],

    'user_metadata' => new \yii\helpers\ReplaceArrayValue([]),
];

$params = yii\helpers\ArrayHelper::merge(
    require __DIR__ . '/../modules/core/config/params.php',
    require __DIR__ . '/../modules/user/config/params.php',
    require __DIR__ . '/../modules/assetManager/config/params.php',
    require __DIR__ . '/../modules/site/config/params.php',
    require __DIR__ . '/../modules/cms/config/params.php',
    require __DIR__ . '/../modules/shop/config/params.php',
    require __DIR__ . '/../modules/payment/config/params.php',
    require __DIR__ . '/../modules/logs/config/params.php',
	require __DIR__ . '/../modules/mailer/config/params.php',
	require __DIR__ . '/../modules/lms/config/params.php',
    require __DIR__ . '/../modules/inventory/config/params.php',
    require __DIR__ . '/../modules/accounting/config/params.php',
    require __DIR__ . '/../modules/affiliate/config/params.php',
    require __DIR__ . '/../modules/qms/config/params.php',
	$params
);

return $params;
