<?php

use yii\helpers\Inflector;
use yii\helpers\StringHelper;

/* @var $this yii\web\View */
/* @var $generator yii\gii\generators\crud\Generator */

$urlParams = $generator->generateUrlParams();
$modelClassName = Inflector::camel2words(StringHelper::basename($generator->viewPath));
$nameAttributeTemplate = '$model->' . $generator->getNameAttribute();
$titleTemplate = $generator->generateString('Update ' . $modelClassName . ': {name}', ['name' => '{nameAttribute}']);
if ($generator->enableI18N) {
    $title = strtr($titleTemplate, ['\'{nameAttribute}\'' => $nameAttributeTemplate]);
} else {
    $title = strtr($titleTemplate, ['{nameAttribute}\'' => '\' . ' . $nameAttributeTemplate]);
}

echo "<?php\n";
?>

/* @var $this yii\web\View */
/* @var $model <?= ltrim($generator->modelClass, '\\') ?> */

$this->title = 'Update <?= $modelClassName ?>: ' . (isset($data['valueArray'][$data['model']->id]) ? $data['valueArray'][$data['model']->id] : $data['model']->id);
$this->params['breadcrumbs'][] = ['label' => <?= $generator->generateString(Inflector::pluralize(Inflector::camel2words(StringHelper::basename($generator->viewPath)))) ?>, 'url' => ['index']];
$this->params['breadcrumbs'][] = ['label' => (isset($data['valueArray'][$data['model']->id]) ? $data['valueArray'][$data['model']->id] : $data['model']->id), 'url' => ['view', 'id' => $data['model']->id]];
$this->params['breadcrumbs'][] = 'Update';
?>

<div class="container-fluid <?= Inflector::camel2id(StringHelper::basename($generator->modelClass)) ?>-update">
    <div class="card">
        <div class="card-body">
            <div class="row">
                <div class="col-md-12">
                    <?= "<?= " ?>$this->render('_form', [
                        'data' => $data
                    ]) ?>
                </div>
            </div>
        </div>
        <!--.card-body-->
    </div>
    <!--.card-->
</div>
