<?php

use yii\bootstrap4\Html;
use yii\bootstrap4\ActiveForm;


/* @var $this yii\web\View */
/* @var $model common\modules\accounting\models\AccountingAccount */
/* @var $form yii\bootstrap4\ActiveForm */

$data_tmp = $data;

extract($data_tmp);
?>

<div class="accounting-account-form">

    <?php $form = ActiveForm::begin(); ?>

    <?= $form->field($model, 'name')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'code')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'type')->dropDownList([ 'dividends' => 'Dividends', 'expenses' => 'Expenses', 'assets' => 'Assets', 'liabilities' => 'Liabilities', 'equity' => 'Equity', 'revenue' => 'Revenue', ], ['prompt' => '']) ?>
    
    <?= $form->field($model, 'account_id')->widget(\kartik\select2\Select2::classname(), [
        'data' => \common\modules\accounting\models\AccountingAccount::getAll($k = 'id', $v = 'name'),
        'options' => ['placeholder' => 'Select Account'],
        'pluginOptions' => [
            'allowClear' => true
        ],
    ])->label('Account'); ?>

    <?= $this->render('@common/views/_form-metadata', [
        'model' => $model,
        'metadata' => 'account_metadata',
    ]) ?>

    <div class="form-group">
        <?= Html::submitButton('Save', ['class' => 'btn btn-success']) ?>
    </div>

    <?php ActiveForm::end(); ?>

</div>