<?php

use yii\bootstrap4\Html;
use yii\bootstrap4\ActiveForm;


/* @var $this yii\web\View */
/* @var $model common\modules\accounting\models\AccountingDocumentItem */
/* @var $form yii\bootstrap4\ActiveForm */

$data_tmp = $data;

extract($data_tmp);
?>

<div class="accounting-document-item-form">

    <?php $form = ActiveForm::begin(); ?>

    <?= $form->field($model, 'document_id')->widget(\kartik\select2\Select2::classname(), [
        'data' => \common\modules\accounting\models\AccountingDocument::getAll($k = 'id', $v = 'number'),
        'options' => ['placeholder' => 'Select Document'],
        'pluginOptions' => [
            'allowClear' => true
        ],
    ])->label('Document'); ?>

    <?= $form->field($model, 'item_id')->widget(\kartik\select2\Select2::classname(), [
        'data' => \common\modules\inventory\models\InventoryItem::getAll($k = 'id', $v = 'sku'),
        'options' => ['placeholder' => 'Select Item'],
        'pluginOptions' => [
            'allowClear' => true
        ],
    ])->label('Item'); ?>

    <?= $form->field($model, 'product_id')->widget(\kartik\select2\Select2::classname(), [
        'data' => \common\modules\shop\models\ShopProduct::getAll($k = 'id', $v = 'code'),
        'options' => ['placeholder' => 'Select Product'],
        'pluginOptions' => [
            'allowClear' => true
        ],
    ])->label('Product'); ?>

    <?= $form->field($model, 'order_item_id')->widget(\kartik\select2\Select2::classname(), [
        'data' => \common\modules\shop\models\ShopOrderItem::getAll($k = 'id', $v = 'id'),
        'options' => ['placeholder' => 'Select Order Item'],
        'pluginOptions' => [
            'allowClear' => true
        ],
    ])->label('Order Item'); ?>

    <?= $form->field($model, 'quantity')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'price')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'tax')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'discount')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'total')->textInput(['maxlength' => true]) ?>

    <?= $this->render('@common/views/_form-metadata', [
        'model' => $model,
        'metadata' => 'document_item_metadata',
    ]) ?>

    <div class="form-group">
        <?= Html::submitButton('Save', ['class' => 'btn btn-success']) ?>
    </div>

    <?php ActiveForm::end(); ?>

</div>