<?php

use yii\bootstrap4\Html;
use yii\bootstrap4\ActiveForm;


/* @var $this yii\web\View */
/* @var $model common\modules\accounting\models\AccountingTransaction */
/* @var $form yii\bootstrap4\ActiveForm */

$data_tmp = $data;

extract($data_tmp);
?>

<div class="accounting-transaction-form">

    <?php $form = ActiveForm::begin(); ?>

    <?= $form->field($model, 'document_id')->widget(\kartik\select2\Select2::classname(), [
        'data' => \common\modules\accounting\models\AccountingDocument::getAll($k = 'id', $v = 'number'),
        'options' => ['placeholder' => 'Select Document'],
        'pluginOptions' => [
            'allowClear' => true
        ],
    ])->label('Document'); ?>

    <?= $form->field($model, 'date')->widget(\kartik\date\DatePicker::classname(), [
        'type' => \kartik\date\DatePicker::TYPE_COMPONENT_APPEND,
        'pluginOptions' => [
            'autoclose' => true,
            'format' => 'yyyy-mm-dd'
        ]
    ]); ?>

    <?= $form->field($model, 'description')->textInput(['maxlength' => true]) ?>

    <?= $this->render('@common/views/_form-metadata', [
        'model' => $model,
        'metadata' => 'transaction_metadata',
    ]) ?>

    <div class="form-group">
        <?= Html::submitButton('Save', ['class' => 'btn btn-success']) ?>
    </div>

    <?php ActiveForm::end(); ?>

</div>