<?php

use yii\bootstrap4\Html;
use yii\bootstrap4\ActiveForm;


/* @var $this yii\web\View */
/* @var $model common\modules\lms\models\LmsAttendance */
/* @var $form yii\bootstrap4\ActiveForm */

$data_tmp = $data;

extract($data_tmp);
?>

<style>
    .select2-container .select2-selection--multiple .select2-selection__rendered {
        white-space: unset;
    }
</style>

<div class="lms-attendance-form">

    <?php $form = ActiveForm::begin(); ?>

    <?= $form->field($modelLmsCohort, 'id')->widget(\kartik\select2\Select2::classname(), [
        'data' => \common\modules\lms\models\LmsCohort::getAll('id', 'name'),
        'value' => isset($_GET['cohort_id']) ? ['id' => $_GET['cohort_id']] : [],
        'options' => ['placeholder' => 'Select Cohort'],
        'pluginOptions' => [
            'allowClear' => true,
            'disabled' => true
        ],
    ])->label('Cohort'); ?>

    <?php
    if ($modelLmsCohortUserCourse[0]->isNewRecord) {
        echo $form->field($modelLmsCohortUserCourse[0], 'user_course_id')->widget(\kartik\depdrop\DepDrop::classname(), [
            'type' => \kartik\depdrop\DepDrop::TYPE_SELECT2,
            'options' => [
                'multiple' => true, 
                'placeholder' => 'Select Enrollment', 
                'id' => 'lmscohortusercourse-cohort_user_course_id',
                'name' => 'LmsCohortUserCourse[cohort_user_course_id][]',
            ],
            'select2Options' => [
                'pluginOptions' => [
                    'allowClear' => true
                ]
            ],
            'pluginOptions' => [
                'depends' => ['lmscohort-id'],
                'url' => \yii\helpers\Url::to(['/lms/cohort-user-course/cohort-enrollments']),
                'loadingText' => 'Loading...',
            ]
        ])->label('Enrollment');
    } else {
        echo '<div class="form-group lmscohortusercourse-cohort_user_course_id required">';
        echo '<label for="lmscohortusercourse-cohort_user_course_id">Enrollment</label>';

        echo \kartik\depdrop\DepDrop::widget([
            'type' => \kartik\depdrop\DepDrop::TYPE_SELECT2,
            'id' => 'lmscohortusercourse-cohort_user_course_id',
            'name' => 'LmsCohortUserCourse[cohort_user_course_id][]',
            'value' => array_keys(\common\modules\lms\models\LmsAttendance::getAll(
                'cohort_user_course_id', 
                'id', 
                false, 
                '', 
                '', 
                [
                    'IN', 
                    'cohort_user_course_id', 
                    \common\modules\lms\models\LmsCohortUserCourse::find()->select(['id'])->where(['cohort_id' => $modelLmsCohort->id, 'status' => 'active'])->column()
                ], 
                [], 
                [
                    'user', 
                    'email'
                ]
            )),
            'data' => \common\modules\lms\models\LmsCohortUserCourse::getAll('id', 'user_course_id', false, '', '', ['cohort_id' => $modelLmsCohort->id], [], ['user', 'email']),
            'options' => ['multiple' => true, 'placeholder' => 'Select Enrollment'],
            'select2Options' => [
                'maintainOrder' => true,
                'pluginOptions' => [
                    'allowClear' => true
                ]
            ],
            'pluginOptions' => [
                'depends' => ['lmscohort-id'],
                'url' => \yii\helpers\Url::to(['/lms/cohort-user-course/cohort-enrollments']),
                'loadingText' => 'Loading...',
            ]
        ]);
        
        echo '</div>';
    }
    ?>

    <?= $form->field($model, 'date')->widget(\kartik\date\DatePicker::classname(), [
        'type' => \kartik\date\DatePicker::TYPE_COMPONENT_APPEND,
        'pluginOptions' => [
            'autoclose' => true,
            'format' => 'yyyy-mm-dd'
        ]
    ]); ?>

    <div class="form-group">
        <?= Html::submitButton('Save', ['class' => 'btn btn-success']) ?>
    </div>

    <?php ActiveForm::end(); ?>

</div>