<?php

use yii\bootstrap4\Html;
use yii\bootstrap4\ActiveForm;


/* @var $this yii\web\View */
/* @var $model common\modules\lms\models\LmsAttendance */
/* @var $form yii\bootstrap4\ActiveForm */

$data_tmp = $data;

extract($data_tmp);
?>

<style>
    .select2-container .select2-selection--multiple .select2-selection__rendered {
        white-space: unset;
    }
</style>

<div class="lms-attendance-form">

    <?php $form = ActiveForm::begin(); ?>
    
    <?php /*= $form->field($model, 'cohort_user_course_id')->widget(\kartik\select2\Select2::classname(), [
        'data' => array_map(function($value) {
            $arr = explode(' ', $value);
            $arr[0] = 'Cohort Enrollment ID: ' . $arr[0];
            $arr[1] = 'Cohort ID: ' . $arr[1];
            $arr[2] = 'User: ' . $arr[2];

            return implode(" | ", $arr);
        },
        \common\modules\lms\models\LmsCohortUserCourse::getAll('id', 'id', false, '', '', [], [], [
            ['cohort', 'name'],
            ['user', 'email'],
        ])),
        'options' => ['placeholder' => 'Select Cohort Enrollment'],
        'pluginOptions' => [
            'allowClear' => true
        ],
    ])->label('Cohort Enrollment <small>{id user course teacher tenant}</small>');*/ ?>

    <?= $form->field($modelLmsCohort, 'id')->widget(\kartik\select2\Select2::classname(), [
        'data' => \common\modules\lms\models\LmsCohort::getAll('id', 'name'),
        'options' => ['placeholder' => 'Select Cohort'],
        'pluginOptions' => [
            'allowClear' => true
        ],
    ])->label('Cohort'); ?>

    <?php
    if ($modelLmsCohortUserCourse[0]->isNewRecord) {
        echo $form->field($modelLmsCohortUserCourse[0], 'user_course_id')->widget(\kartik\depdrop\DepDrop::classname(), [
            'type' => \kartik\depdrop\DepDrop::TYPE_SELECT2,
            'options' => [
                'multiple' => true, 
                'placeholder' => 'Select Enrollment', 
                'id' => 'lmscohortusercourse-cohort_user_course_id',
                'name' => 'LmsCohortUserCourse[cohort_user_course_id][]',
            ],
            'select2Options' => [
                'pluginOptions' => [
                    'allowClear' => true
                ]
            ],
            'pluginOptions' => [
                'depends' => ['lmscohort-id'],
                'url' => \yii\helpers\Url::to(['/lms/cohort-user-course/cohort-enrollments']),
                'loadingText' => 'Loading...',
            ]
        ])->label('Enrollment');
    } else {
        echo '<div class="form-group lmscohortusercourse-cohort_user_course_id required">';
        echo '<label for="lmscohortusercourse-cohort_user_course_id">Enrollment</label>';

        echo \kartik\depdrop\DepDrop::widget([
            'type' => \kartik\depdrop\DepDrop::TYPE_SELECT2,
            'id' => 'lmscohortusercourse-cohort_user_course_id',
            'name' => 'LmsCohortUserCourse[cohort_user_course_id][]',
            'value' => \yii\helpers\ArrayHelper::map(\common\modules\lms\models\LmsCohortUserCourse::find()->where(['cohort_id' => $modelLmsCohort->id, 'status' => 'active'])->asArray()->all(), 'id', 'user_course_id'),
            'data' => \common\modules\lms\models\LmsUserCourse::getAll('id', 'user_id', false, '', '', ['course_id' => $modelLmsCohort->course_id], [], ['user', 'email']),
            'options' => ['multiple' => true, 'placeholder' => 'Select Enrollment'],
            'select2Options' => [
                'maintainOrder' => true,
                'pluginOptions' => [
                    'allowClear' => true
                ]
            ],
            'pluginOptions' => [
                'depends' => ['lmscohort-id'],
                'url' => \yii\helpers\Url::to(['/lms/user-course/course-enrollments']),
                'loadingText' => 'Loading...',
            ]
        ]);
        
        echo '</div>';
    }
    ?>

    <?= $form->field($model, 'date')->widget(\kartik\date\DatePicker::classname(), [
        'type' => \kartik\date\DatePicker::TYPE_COMPONENT_APPEND,
        'pluginOptions' => [
            'autoclose' => true,
            'format' => 'yyyy-mm-dd'
        ]
    ]); ?>

    <?= $this->render('@common/views/_form-metadata', [
        'model' => $model,
        'metadata' => 'attendance_metadata',
    ]) ?>

    <div class="form-group">
        <?= Html::submitButton('Save', ['class' => 'btn btn-success']) ?>
    </div>

    <?php ActiveForm::end(); ?>

</div>