<?php

namespace common\modules\mailer\components;

use yii\base\Component;
use yii\base\Event;

class NotificationControllerEvent extends Event
{
	public $userId;
}

class MailerEvents extends Component
{
    const EVENT_MOD_MAILER_CREATE_NOTIFICATION_FOLLOW_UP_DATE = 'eventModMailerCreateNotificationFollowUpDate';

    public function eventModMailerCreateNotificationFollowUpDate($user_id)
    {
    	$event = new NotificationControllerEvent;

    	$event->userId = $user_id;

    	$this->on(self::EVENT_MOD_MAILER_CREATE_NOTIFICATION_FOLLOW_UP_DATE, ['common\modules\mailer\controllers\backend\NotificationController', 'actionFollowUpDate'], $event);
        $this->trigger(self::EVENT_MOD_MAILER_CREATE_NOTIFICATION_FOLLOW_UP_DATE);
        $this->off(self::EVENT_MOD_MAILER_CREATE_NOTIFICATION_FOLLOW_UP_DATE);
    }
}
