<?php

namespace common\modules\mailer\notifications\backend;

use Yii;

class ContactNotification extends \common\modules\core\notifications\backend\GenesysNotification
{

    const KEY_FOLLOW_UP_DATE = 'follow_up_date';

    public $model;
    public $notification_id;

    /**
     * @inheritdoc
     */
    public function getTitle()
    {
        switch($this->key) {
            case self::KEY_FOLLOW_UP_DATE:
                $message = 'Follow-up due for ' . ucwords($this->model->first_name) . ' ' . ucwords($this->model->last_name);
                
                return $message;
        }
    }

    /**
     * @inheritdoc
     */
    public function getRoute()
    {
        return ['/mailer/contact/update', 'id' => $this->model->id];
    }
}
