<?php

use common\modules\user\components\GenesysUser;

return [
	['label' => 'Mailer', 'header' => true, 'visible' => (
		GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'mailer/contact') || 
        GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'mailer/campaign')
    )],
    [
        'label' => 'Leads Calendar', 
        'icon' => 'calendar-alt', 
        'url' => ['/mailer/contact/leads-calendar'],
        'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'mailer/contact'),
    ],
    [
        'label' => 'Leads',
        'icon' => 'filter',
        'url' => '#',
        'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'mailer/contact'),
        'items' => [
            ['label' => 'View Leads', 'icon' => 'filter', 'url' => ['/mailer/contact/index'],],
            ['label' => 'Create Lead', 'icon' => 'filter', 'url' => ['/mailer/contact/create'],],
            ['label' => 'Import Leads', 'icon' => 'file-import', 'url' => ['/mailer/contact/import'],],
            ['label' => 'Charts', 'icon' => 'chart-bar', 'url' => ['/mailer/contact/chart'],],
        ],
    ],
    [
        'label' => 'Campaign', 
        'icon' => 'paper-plane', 
        'url' => ['/mailer/campaign/index'],
        'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'mailer/campaign'),
    ],
];
