<?php

namespace common\modules\payment\models;

use Yii;
use yii\base\Model;

/**
 * Authorizenet form
 */
class FormStripe extends Model
{
    
    public $cardNumber;
    public $cardExpiry;
    public $cardCVC;
    public $cardHolderName;
    public $cardHolderEmail;
    public $address;
    public $city;
    public $state;
    public $zip;
    public $country;
    public $amount;
    public $description;

    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['cardNumber', 'cardExpiry', 'cardCVC', 'cardHolderName', 'cardHolderEmail', 'address', 'city', 'country', 'amount'], 'required'],
            ['cardHolderEmail', 'email'],
        ];
    }
}
