<?php

use yii\bootstrap4\Html;
use yii\bootstrap4\ActiveForm;


/* @var $this yii\web\View */
/* @var $model common\modules\payment\models\PaymentLogs */
/* @var $form yii\bootstrap4\ActiveForm */

$data_tmp = $data;

extract($data_tmp);
?>

<div class="payment-logs-form">

    <?php $form = ActiveForm::begin(); ?>
    
    <?= $form->field($model, 'order_id')->widget(\kartik\select2\Select2::classname(), [
        'data' => \common\modules\shop\models\ShopOrder::getAll($k = 'id', $v = 'id'),
        'options' => ['placeholder' => 'Select Order'],
        'pluginOptions' => [
            'allowClear' => true
        ],
    ])->label('Order'); ?>

    <?= $form->field($model, 'payment_method_id')->dropDownList(\common\modules\payment\models\PaymentMethod::getAll($k = 'id', $v = 'name'), ['prompt' => 'Select Payment Method'])->label('Payment Method') ?>

    <?= $form->field($model, 'response')->textarea(['rows' => 6]) ?>

    <div class="form-group">
        <?= Html::submitButton('Save', ['class' => 'btn btn-success']) ?>
    </div>

    <?php ActiveForm::end(); ?>

</div>
