<?php

use yii\bootstrap4\Html;
use yii\bootstrap4\ActiveForm;
use kartik\select2\Select2;

/* @var $this yii\web\View */
/* @var $model common\modules\qms\models\QmsInternalAuditSchedule */
/* @var $form yii\bootstrap4\ActiveForm */
?>

<div class="qms-internal-audit-schedule-form">

    <?php $form = ActiveForm::begin(); ?>

    <?= $form->field($model, 'internal_audit_name')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'master_internal_audit_name_id')->textInput() ?>

    <?= $form->field($model, 'approval_status')->dropDownList([ 'approved' => 'Approved', 'rejected' => 'Rejected', 'pending' => 'Pending', ], ['prompt' => '']) ?>

    <?= $form->field($model, 'approving_authority_id')->textInput() ?>

    <div class="form-group">
        <?= Html::submitButton($model->isNewRecord ? 'Create' : 'Update', ['class' => $model->isNewRecord ? 'btn btn-success' : 'btn btn-primary']) ?>
    </div>

    <?php ActiveForm::end(); ?>

</div>
