<?php

use yii\bootstrap4\Html;
use yii\bootstrap4\ActiveForm;

/* @var $this yii\web\View */
/* @var $model common\modules\qms\models\QmsOperationPlanningSearch */
/* @var $form yii\bootstrap4\ActiveForm */
?>

<div class="row mt-2">
    <div class="col-md-12">

    <?php $form = ActiveForm::begin([
        'action' => ['index'],
        'method' => 'get',
        'options' => [
            'data-pjax' => 1
        ],
    ]); ?>

    <?= $form->field($model, 'id') ?>

    <?= $form->field($model, 'product_service_project_id') ?>

    <?= $form->field($model, 'brief_description') ?>

    <?= $form->field($model, 'requirement_analysis') ?>

    <?= $form->field($model, 'operation_planning_process_id') ?>

    <?php // echo $form->field($model, 'acceptance_criteria') ?>

    <?php // echo $form->field($model, 'human_resource') ?>

    <?php // echo $form->field($model, 'interested_parties') ?>

    <?php // echo $form->field($model, 'exceptions') ?>

    <?php // echo $form->field($model, 'knowledge_required') ?>

    <?php // echo $form->field($model, 'knowledge_made_available') ?>

    <?php // echo $form->field($model, 'infrstructure_resource') ?>

    <?php // echo $form->field($model, 'approval_status') ?>

    <?php // echo $form->field($model, 'approving_authority_id') ?>

    <?php // echo $form->field($model, 'created_by') ?>

    <?php // echo $form->field($model, 'updated_by') ?>

    <?php // echo $form->field($model, 'created_at') ?>

    <?php // echo $form->field($model, 'updated_at') ?>

    <?php // echo $form->field($model, 'status') ?>

    <div class="form-group">
        <?= Html::submitButton('Search', ['class' => 'btn btn-primary']) ?>
        <?= Html::resetButton('Reset', ['class' => 'btn btn-outline-secondary']) ?>
    </div>

    <?php ActiveForm::end(); ?>

    </div>
    <!--.col-md-12-->
</div>
