<?php

use yii\bootstrap4\Html;
use yii\bootstrap4\ActiveForm;

/* @var $this yii\web\View */
/* @var $model common\modules\qms\models\QmsSupplierSearch */
/* @var $form yii\bootstrap4\ActiveForm */
?>

<div class="row mt-2">
    <div class="col-md-12">

    <?php $form = ActiveForm::begin([
        'action' => ['index'],
        'method' => 'get',
        'options' => [
            'data-pjax' => 1
        ],
    ]); ?>

    <?= $form->field($model, 'id') ?>

    <?= $form->field($model, 'name') ?>

    <?= $form->field($model, 'address') ?>

    <?= $form->field($model, 'email') ?>

    <?= $form->field($model, 'phone') ?>

    <?php // echo $form->field($model, 'supplier_contact_name') ?>

    <?php // echo $form->field($model, 'supplier_contact_phone') ?>

    <?php // echo $form->field($model, 'supplier_category') ?>

    <?php // echo $form->field($model, 'product_service_details') ?>

    <?php // echo $form->field($model, 'number_of_employees') ?>

    <?php // echo $form->field($model, 'annual_turnover_millions') ?>

    <?php // echo $form->field($model, 'certification_type') ?>

    <?php // echo $form->field($model, 'other_certification_type') ?>

    <?php // echo $form->field($model, 'existing_major_customers') ?>

    <?php // echo $form->field($model, 'govt_or_tax_registration_number') ?>

    <?php // echo $form->field($model, 'major_registration_criterias') ?>

    <?php // echo $form->field($model, 'supplier_rating') ?>

    <?php // echo $form->field($model, 'sample_approval_details') ?>

    <?php // echo $form->field($model, 'is_active') ?>

    <?php // echo $form->field($model, 'approval_status') ?>

    <?php // echo $form->field($model, 'approving_authority_id') ?>

    <?php // echo $form->field($model, 'created_by') ?>

    <?php // echo $form->field($model, 'updated_by') ?>

    <?php // echo $form->field($model, 'created_at') ?>

    <?php // echo $form->field($model, 'updated_at') ?>

    <?php // echo $form->field($model, 'status') ?>

    <div class="form-group">
        <?= Html::submitButton('Search', ['class' => 'btn btn-primary']) ?>
        <?= Html::resetButton('Reset', ['class' => 'btn btn-outline-secondary']) ?>
    </div>

    <?php ActiveForm::end(); ?>

    </div>
    <!--.col-md-12-->
</div>
