<?php

namespace common\modules\shop\components;

use yii\base\Component;
use yii\base\Event;

class SquareControllerEvent extends Event
{
	public $formData;
    public $returnData;
}

class ShopEvents extends Component
{
    const EVENT_MOD_SHOP_CREATE_ORDER = 'eventModShopCreateOrder';

    public function eventModShopCreateOrder($form_data, $return_data)
    {
    	$event = new SquareControllerEvent;

    	$event->formData = $form_data;
        $event->returnData = $return_data;

    	$this->on(self::EVENT_MOD_SHOP_CREATE_ORDER, ['common\modules\payment\controllers\frontend\SquareController', 'saveOrder'], $event);
        $this->trigger(self::EVENT_MOD_SHOP_CREATE_ORDER);
        $this->off(self::EVENT_MOD_SHOP_CREATE_ORDER);
    }
}
