<?php

return [
    'role' => [
        'admin' => [
            'perms' => [
                'except' => [],
            ],
        ],
        'user' => [
            'perms' => [
                'only' => [],
            ],
        ],
        'tester' => [
            'perms' => [
                'except' => [],
            ],
        ],
        'editor' => [
            'perms' => [
                'only' => [
                    'assetManager/asset', 
                    'cms/album', 
                    'cms/blog', 
                    'cms/event', 
                    'cms/faq', 
                    'cms/page', 
                    'cms/team-member', 
                    'cms/testimonial', 
                    'lms/activity', 
                    'lms/course-activity', 
                    'lms/course', 
                    'lms/lms-report', 
                    'lms/user-course-activity', 
                    'lms/user-course', 
                    'shop/category', 
                    'shop/order', 
                    'shop/product', 
                    'shop/subcategory', 
                    'shop/trait', 
                    'shop/trait-value', 
                    'shop/voucher', 
                    'site/translation', 
                    'user/user', 
                ],
            ],
        ],
        'sales-rep' => [
            'perms' => [
                'only' => [
                    'mailer/contact', 
                ],
            ],
        ],
        'teacher' => [
            'perms' => [
                'except' => [
                    'lms/activity', 
                    'lms/course-activity', 
                    'lms/course', 
                    'lms/lms-report', 
                    'lms/user-course-activity', 
                    'lms/user-course', 
                    'user/user', 
                ],
            ],
        ],
        'tenant' => [
            'perms' => [
                'except' => [
                    'lms/lms-report', 
                    'lms/user-course', 
                    'user/user', 
                ],
            ],
        ],
        'affiliate' => [
            'perms' => [
                'only' => [],
            ],
        ],
    ],

    'user_metadata' => [
        'product' => [
            'type' => 'select', 
            'mode' => '', 
            'data' => [],
        ],
        'organization' => ['type' => 'input_text', 'mode' => ''],
        'mailer_campaign' => ['type' => 'input_hidden', 'mode' => ''],
        'mailer_campaign_identifier_name' => ['type' => 'input_hidden', 'mode' => ''],
        'mailer_campaign_timestamp' => ['type' => 'input_hidden', 'mode' => ''],
        'mailer_source' => ['type' => 'input_hidden', 'mode' => ''],
    ],
];
