<?php

use yii\helpers\Html;

use common\modules\user\models\UserProfile;

extract($data);

$resetLink = Yii::getAlias('@baseurl') . '/index.php?r=user/user/reset-password&token=' . $user['password_reset_token'];

?>

<div class="password-reset">
	<div>
		<img src="<?= Yii::$app->params['email']['logo'][Yii::$app->params['mode']] ?>" style="width: 250px;">
	</div>

	<br>

    <p>Hello <?= UserProfile::getAttr(['first_name'], ['user_id' => $user['id']]) ?>,</p>

    <p>Follow the link below to reset your password:</p>

    <p><?= Html::a(Html::encode($resetLink), $resetLink) ?></p>
</div>
