<?php

namespace common\widgets;

class ChartJsBar extends \yii\bootstrap4\Widget
{

    public $id;
    public $label;
    public $labels;
    public $data;
    public $minBars;
    public $maxBars;

    public function init()
    {
        parent::init();

        if (empty($this->id)) {
            $this->id = 'myChart';
        }

        if (empty($this->label)) {
            $this->label = 'Value';
        }

        if (!is_array($this->labels)) {
            $this->labels = array();
        }

        if (!is_array($this->data)) {
            $this->data = array();
        }

        if (empty($this->minBars)) {
            $this->minBars = 0;
        }

        if (empty($this->maxBars)) {
            $this->maxBars = 9;
        }
    }

    public function run()
    {
        echo $this->render('chart-js-bar', [
            'id' => $this->id,
            'label' => $this->label,
            'labels' => $this->labels,
            'data' => $this->data,
            'minBars' => $this->minBars,
            'maxBars' => $this->maxBars,
        ]);
    }
}
