<?php

namespace frontend\assets;

use yii\web\AssetBundle;

/**
 * Main frontend application asset bundle.
 */
class AppAsset extends AssetBundle
{
    public $sourcePath = '@assets/web/themes/genesys/assets';
	
	public $css = [
        'css/starter-template.css',
        'css/navbar.css',
        'css/breadcrumbs.css',
        'css/carousel.css',
        'css/heroes.css',
        'css/blog.css',
        // 'css/dashboard.css',
        '//cdnjs.cloudflare.com/ajax/libs/font-awesome/6.2.0/css/all.min.css',
        'css/custom.css',
    ];
    public $js = [
        'js/bootstrap.bundle.min.js',
        // 'js/dashboard.js',
        'js/custom.js',
	];
    public $depends = [
        'yii\web\YiiAsset',
        'onix\assets\JQueryMigrateAsset',
        'yii\bootstrap5\BootstrapAsset',
    ];
    public $publishOptions = [
        'except' => [
            'uploads/*',
        ],
        // 'forceCopy' => true,
    ];
}
